Skip to main content
GET
/
workspaces
/
{id}
/
subdomain
Get workspace subdomain
curl --request GET \
  --url https://api.akua.dev/v1/workspaces/{id}/subdomain \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "workspace_id": "<string>",
  "name": "<string>",
  "fqdn": "<string>",
  "name_changed_at": 1,
  "created_at": 1,
  "updated_at": 1,
  "etag": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://akua-1dce587a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required

Workspace ID

Required string length: 1 - 53

Response

Workspace subdomain

id
string
required
Required string length: 1 - 54
workspace_id
string
required
Required string length: 1 - 53
name
string
required
Required string length: 1 - 63
fqdn
string
required
Required string length: 1 - 253
status
enum<string>
required

Current workspace subdomain lifecycle state.

Available options:
active,
propagating,
reserved
name_changed_at
integer | null
required

Unix timestamp (seconds)

Required range: x >= 0
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required